> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/ulisting/getting-started/demo-import.md).

# Demo Import

After installation, the plugin requires to import the Demo Content. Demo Content includes examples of properly sorted listings and ready-made inventory pages.

Permalink error may appear on the demo importing process.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Mb0PsMUzTdgHkucIyM-%2F-Mb16Z6nOPVNjPixK9V1%2FDemo-Import-%E2%80%B9-uListingClear-%E2%80%94-WordPresskjh.png?alt=media\&token=b78900d7-fc20-4c1f-9e86-a1c79dfb4799)

Change your permalink settings. uListing plugin requires Permalink Structure rather than “Plain”. We recommend using the **“Post name” Permalink Structure.**&#x20;

{% hint style="warning" %}
It is better to check the Permalink settings before importing demos or when you faced some problems in page load.
{% endhint %}

Then go to **Settings - > Permalinks** and change Permalink setting to **Post name.**

![](https://support.stylemixthemes.com/storage/stm-manuals/April2020/demo5.png)

After that, go to the demo import page where the demo import page will appear. Click the **Run Demo Import** button.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Mb0PsMUzTdgHkucIyM-%2F-Mb16Z6nOPVNjPixK9V1%2FDemo-Import-%E2%80%B9-uListingClear-%E2%80%94-WordPresskjh.png?alt=media\&token=b78900d7-fc20-4c1f-9e86-a1c79dfb4799)

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Mb0PsMUzTdgHkucIyM-%2F-Mb17EYyJjjR3sBw76B-%2Fdv.png?alt=media\&token=6d8fd6ac-fe1e-4535-8dba-80069653719c)

If you have problems during the demo import, look at the permalink settings once again.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Mb0PsMUzTdgHkucIyM-%2F-Mb17xhX_L3WDG7M8yk1%2Fcd.png?alt=media\&token=59af376e-4c7d-40cb-aff3-f84a42cc4378)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stylemixthemes.com/ulisting/getting-started/demo-import.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
